## org.gnu.gtk.event
Class EntryEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.EntryEvent

All Implemented Interfaces:
  java.io.Serializable

public class EntryEvent
extends GtkEvent

This event is used to identify when an entry receives an event

See Also:
  `EntryListener`, Serialized Form

Nested Class Summary
`static class` `EntryEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`EntryEvent(java.lang.Object source, EventType type)` Constructor for EditableEvent.

Method Summary
`int` `getCount()`
`DeleteType` `getDeleteType()`
`int` `getEndPosition()`
`boolean` `getExtendedSelection()`
`int` `getInsertPosition()`
`MovementStep` `getMovementStep()`
`int` `getStartPosition()`
`java.lang.String` `getText()`
`boolean` `isOfType(EntryEvent.Type aType)`
`void` `setCount(int count)`
`void` `setDeleteType(DeleteType type)`
`void` `setEndPosition(int endPosition)`
`void` `setExtendedSelection(boolean extendedSelection)`
`void` `setInsertPosition(int insertPosition)`
`void` `setMovementStep(MovementStep step)`
`void` `setStartPosition(int startPosition)`
`void` `setText(java.lang.String text)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntryEvent

    public EntryEvent(java.lang.Object source,
                      EventType type)

  Constructor for EditableEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(EntryEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### setText

    public void setText(java.lang.String text)

### getText

    public java.lang.String getText()

### setDeleteType

    public void setDeleteType(DeleteType type)

### getDeleteType

    public DeleteType getDeleteType()

### setCount

    public void setCount(int count)

### getCount

    public int getCount()

### setMovementStep

    public void setMovementStep(MovementStep step)

### getMovementStep

    public MovementStep getMovementStep()

### setExtendedSelection

    public void setExtendedSelection(boolean extendedSelection)

### getExtendedSelection

    public boolean getExtendedSelection()

### getEndPosition

    public int getEndPosition()

  Returns:
    Returns the endPosition.

### setEndPosition

    public void setEndPosition(int endPosition)

  Parameters:
    `endPosition` - The endPosition to set.

### getInsertPosition

    public int getInsertPosition()

  Returns:
    Returns the insertPosition.

### setInsertPosition

    public void setInsertPosition(int insertPosition)

  Parameters:
    `insertPosition` - The insertPosition to set.

### getStartPosition

    public int getStartPosition()

  Returns:
    Returns the startPosition.

### setStartPosition

    public void setStartPosition(int startPosition)

  Parameters:
    `startPosition` - The startPosition to set.